Profiles
Profile Get
Get a public profile by account handle or ID.
GET
Get a public profile by account handle or ID.
cookie
storyden-session<token>account_handle*stringAccount handle.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
Format
xidcreatedAt*stringDeprecatedThe time the resource was created.
Format
date-timeupdatedAt*stringThe time the resource was updated.
Format
date-timedeletedAt?stringThe time the resource was soft-deleted.
Format
date-timemisc?Arbitrary extra data stored with the resource.
joined*MemberJoinedDateThe time the resource was created.
Format
date-timesuspended?MemberSuspendedDateThe time the resource was created.
Format
date-timehandle*AccountHandleThe unique @ handle of an account.
name*AccountNameThe account owners display name.
roles*array<>bio*AccountBioThe rich-text bio for an account's public profile.
signature?AccountSignatureThe rich-text signature shown beneath a member's posts.
image?stringfollowers*ProfileFollowersCountfollowing*ProfileFollowingCountlike_score*LikeScoreThe total number of likes received by a member.
interests*array<>A list of tags.
links*array<>invited_by?A minimal reference to an account.
meta*Arbitrary metadata for the resource.
curl -X GET 'https://example.com/api/profiles/southclaws'Example Response
{ "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "createdAt": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}, "badge": true, "default": true } ], "bio": "string", "signature": "string", "image": "string", "followers": 0, "following": 0, "like_score": 0, "interests": [ { "name": "string", "colour": "string", "item_count": 0 } ], "links": [ { "text": "string", "url": "string" } ], "invited_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "meta": {}}